Bug 243272 - XEmacs crashes regularly, please upgrade from upstream
Summary: XEmacs crashes regularly, please upgrade from upstream
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs   
(Show other bugs)
Version: 6
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-08 11:07 UTC by Sjoerd Mullender
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 21.5.28-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 17:46:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sjoerd Mullender 2007-06-08 11:07:58 UTC
Description of problem:

From time to time my XEmacs vanishes.  Invariably this is because of a double
free detected by glibc.  According to Stephen Turnbull from XEmacs this was a
bug which was fixed in XEmacs version 21.5.28.  So please update to that version.

Version-Release number of selected component (if applicable):
xemacs-21.5.27-8.fc6.x86_64

How reproducible:
This happens occasionally without fixed pattern.  But it has happened twice
already today (and it's only 1 PM).

Steps to Reproduce:
1. It's hard to reproduce, basically start XEmacs and start working
2. It normally happens when I'm switching workspaces.
3.
  
Actual results:
XEmacs crashes with a message from glibc about a double free.


Expected results:
No crash.

Additional info:
Since this version of XEmacs is also in Fedora 7, it may be prudent to also
update there.  So far I have only noticed the problem on FC6 on a 64 bit system,
but then, I work on such a system.

Comment 1 Ville Skyttä 2007-06-12 06:24:06 UTC
21.5.28 is already in F7 updates-testing, if nothing unexpected happens it will
be pushed to updates tomorrowish and shortly after that a FC6 update pushed too.


Note You need to log in before you can comment on or make changes to this bug.